Index: palm/trunk/TUTORIALS/cases/flow_around_cube_precursor/INPUT/flow_around_cube_precursor_p3d
===================================================================
--- palm/trunk/TUTORIALS/cases/flow_around_cube_precursor/INPUT/flow_around_cube_precursor_p3d	(revision 4098)
+++ palm/trunk/TUTORIALS/cases/flow_around_cube_precursor/INPUT/flow_around_cube_precursor_p3d	(revision 4222)
@@ -1,84 +1,88 @@
+!-------------------------------------------------------------------------------
+!-- INITIALIZATION PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/inipar
+!-------------------------------------------------------------------------------
 &initialization_parameters
-   !-- grid setup
-      nx = 39,
-      ny = 39,
-      nz = 40,
+!
+!-- grid parameters
+!-------------------------------------------------------------------------------
+    nx                         = 39, ! Number of gridboxes in x-direction (nx+1)
+    ny                         = 39, ! Number of gridboxes in y-direction (ny+1)
+    nz                         = 40, ! Number of gridboxes in z-direction (nz)
 
-      dx = 2.0,
-      dy = 2.0,
-      dz = 2.0,
+    dx                         = 2.0, ! Size of single gridbox in x-direction
+    dy                         = 2.0, ! Size of single gridbox in y-direction
+    dz                         = 2.0, ! Size of single gridbox in z-direction
+!
+!-- initialization
+!-------------------------------------------------------------------------------
+    initializing_actions       = 'set_1d-model_profiles', ! initial conditions
 
-   !-- pressure solver
-      fft_method = 'temperton-algorithm',     ! fast, but restrictions apply
+    end_time_1d                =  86400.0, ! integration time of 1D model
+    dt_run_control_1d          =   3600.0, ! interval of run-control output
+                                           ! of 1D model
 
-   !-- init-action
-      initializing_actions = 'set_1d-model_profiles',
+    ug_surface                 = 1.0, ! u-comp of geostrophic wind at surface
+    vg_surface                 = 0.0, ! v-comp of geostrophic wind at surface
 
-   !-- advection schemes
-      momentum_advec = 'ws-scheme',           ! default advection scheme
-      scalar_advec   = 'ws-scheme',
+    neutral                    = .T., ! strictly neutral flow
+!
+!-- mode
+!-------------------------------------------------------------------------------
+    dp_external                = .T.,         ! use horizontal pressure gradient
+    dpdxy                      = -0.00003, 0.0, ! set pressure gradient along x
+!
+!-- physics
+!-------------------------------------------------------------------------------
+    omega                      = 0.0, ! no Coriolis force
+!
+!-- boundary conditions
+!-------------------------------------------------------------------------------
+    bc_uv_t                    = 'neumann', ! free-slip boundary condition
 
-   !-- wind speed setup
-      ug_surface = 1.0,
-      vg_surface = 0.0,
+!
+!-- numerics
+!-------------------------------------------------------------------------------
+    fft_method                 = 'temperton-algorithm', ! build-in fft method
 
-   !-- temperature setup
-      neutral = .T.,                          ! strictly neutral flow
+/ ! end of initialization parameter namelist
 
-   !-- boundary conditions
-      bc_uv_t = 'neumann',                    ! free-slip boundary condition
+!-------------------------------------------------------------------------------
+!-- RUNTIME PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/d3par
+!-------------------------------------------------------------------------------
+&runtime_parameters
+!
+!-- run steering
+!-------------------------------------------------------------------------------
+    end_time                   = 3600.0, ! simulation time of the 3D model
+    create_disturbances        = .T.,    ! randomly perturbate horiz. velocity
+!
+!-- data output
+!-------------------------------------------------------------------------------
+    dt_run_control             =   60.0, ! output interval for run control
+    dt_data_output             = 1800.0, ! output interval for general data
+    dt_dots                    =   60.0, ! output interval for time-series data
+    dt_dopr                    = 1800.0, ! output interval for profile data
 
-      roughness_length = 0.1,                 ! applies to all surfaces locally
+    data_output                = 'u', 'u_av',
+                                 'v', 'v_av',
+                                 'w', 'w_av',  ! 2d and/ 
+                                               ! or 3d 
+                                               ! output
 
-   !-- special methods
-      dp_external = .T.,                      ! use horizontal pressure gradient
-      dpdxy = -0.00003, 0.0,                  ! for forcing
+    data_output_pr             = '#u', 'u*2', 'wu', 'w*u*', 'w"u"',
+                                 '#v', 'v*2', 'wv', 'w*v*', 'w"v"',
+                                 'w', 'w*2',
+                                 'e', 'e*',
+                                 '#km',
+                                 '#l',      ! Profile 
+                                            ! output
 
-   !-- special setups
-      omega = 0.0,                            ! no Coriolis force
+    averaging_interval         = 1800.0, ! averaging interval general data
+    dt_averaging_input         =    6.0, ! averaging general data sampling rate
 
-      !1d-model setup
-      mixing_length_1d  = 'blackadar',        ! default
-      dissipation_1d    = 'detering',         ! default
-      end_time_1d       =  86400.0,           ! default
-      dt_run_control_1d =   3600.0,
-   /
+    averaging_interval_pr      =    0.0, ! averaging interval profile data
+    dt_averaging_input_pr      =    0.0, ! averaging profile data sampling rate
 
-
-&runtime_parameters
-   !-- simulation time
-      end_time                = 3600.0,
-      termination_time_needed =  900.0,
-
-   !-- others
-      create_disturbances = .T.,
-
-   !-- global output settings
-      skip_time_data_output =    0.0,
-      dt_data_output        = 1800.0,
-
-      averaging_interval    = 1800.0,
-      dt_averaging_input    =    6.0,
-
-   !-- time series / run control
-      dt_run_control        =  60.0,
-      dt_dots               =  60.0,
-
-   !-- profiles
-      skip_time_dopr        =    0.0,
-      dt_dopr               = 1800.0,
-      averaging_interval_pr =    0.0,
-      dt_averaging_input_pr =    0.0,
-
-      data_output_pr = '#u', 'u*2', 'wu', 'w*u*', 'w"u"',
-                       '#v', 'v*2', 'wv', 'w*v*', 'w"v"',
-                       'w', 'w*2',
-                       'e', 'e*',
-                       '#km',
-                       '#l',
-
-   !-- output variables
-      data_output = 'u', 'u_av',
-                    'v', 'v_av',
-                    'w', 'w_av',
-   /
+/ ! end of runtime parameter namelist
